Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jini.rio.opstring
Class OpStringManagerProxy.OpStringManagerDispatcher

    java.lang.Object
      org.jini.rio.resources.client.ServiceDiscoveryAdapter
          org.jini.rio.opstring.OpStringManagerProxy.OpStringManagerDispatcher

All Implemented Interfaces:
  ServiceDiscoveryListener, net.sf.cglib.proxy.Callback, net.sf.cglib.proxy.MethodInterceptor

Enclosing class:
  OpStringManagerProxy

    public static class OpStringManagerProxy.OpStringManagerDispatcher

extends ServiceDiscoveryAdapter
implements net.sf.cglib.proxy.MethodInterceptor

A CGLIB dispatcher for managing the invocation of methods to the primary `OperationalStringManager` instance.

Constructor Summary
`OpStringManagerProxy.OpStringManagerDispatcher(String name, OperationalStringManager manager, DiscoveryManagement dMgr)`

Method Summary
`Object` | `intercept(Object proxy, Method method, Object[] args, net.sf.cglib.proxy.MethodProxy methodProxy)`
`void` | `serviceAdded(ServiceDiscoveryEvent event)`
`void` | `serviceRemoved(ServiceDiscoveryEvent event)`

Methods inherited from class org.jini.rio.resources.client.ServiceDiscoveryAdapter
`serviceChanged`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OpStringManagerProxy.OpStringManagerDispatcher

    public OpStringManagerProxy.OpStringManagerDispatcher(String name,
                                                          OperationalStringManager manager,
                                                          DiscoveryManagement dMgr)
                                                   throws ConfigurationException,
                                                          IOException

Throws:
  `ConfigurationException`
  `IOException`

Method Detail

### intercept

    public Object intercept(Object proxy,
                            Method method,
                            Object[] args,
                            net.sf.cglib.proxy.MethodProxy methodProxy)
                     throws Throwable

  Specified by:
    `intercept` in interface `net.sf.cglib.proxy.MethodInterceptor`
  Throws:
    `Throwable`

### serviceAdded

    public void serviceAdded(ServiceDiscoveryEvent event)

  Specified by:
    `serviceAdded` in interface `ServiceDiscoveryListener`
  Overrides:
    `serviceAdded` in class `ServiceDiscoveryAdapter`
  See Also:
    `ServiceDiscoveryListener.serviceAdded(net.jini.lookup.ServiceDiscoveryEvent)`

### serviceRemoved

    public void serviceRemoved(ServiceDiscoveryEvent event)

  Specified by:
    `serviceRemoved` in interface `ServiceDiscoveryListener`
  Overrides:
    `serviceRemoved` in class `ServiceDiscoveryAdapter`
  See Also:
    `ServiceDiscoveryListener.serviceRemoved(net.jini.lookup.ServiceDiscoveryEvent)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Project Rio.